document.addEventListener("DOMContentLoaded", function(event) {
  function initCounter(counterSelector) {
    var counter = {
      minus: counterSelector.getElementsByClassName('counter__minus')[0],
      input: counterSelector.querySelector('.counter__value input'),
      plus: counterSelector.getElementsByClassName('counter__plus')[0],
      minValue: 1,
      maxValue: 10
    }

    counter.minus.addEventListener('click', function(e) {
      e.preventDefault();

      var value_ = Number(counter.input.value);

      if(value_ > counter.minValue) {
        counter.input.value = value_ - 1;
      }
    });

    counter.plus.addEventListener('click', function(e) {
      e.preventDefault();

      var value_ = Number(counter.input.value);

      if(value_ < counter.maxValue) {
        counter.input.value = value_ + 1;
      }
    });
  }

  var counters = document.getElementsByClassName('counter');
  for (let i = 0; i < counters.length; i++) {
    initCounter(counters[i]);
  }
});
