document.addEventListener("DOMContentLoaded", function(event) {
	function dload( url, container, success ) {
		$.ajax( url, {
			accepts: { dload: 'application/x-dload' },
			contents: { dload: /dload/ },
			converters: {
				'text dload': jQuery.parseJSON,
			},
			dataType: 'dload',
			success: function( data, status, xhr ){
				$("head").append( data.css );
				$( container ).html( data.html);
				success();
			},
		})
	}


	/* Toggle table row */
	var rowTriggers = document.querySelectorAll('.box__table .table__row');
	for (let i = 0; i < rowTriggers.length; i++) {
		rowTriggers[i].addEventListener('click', function(e) {
			var row =  e.target.parentNode;
			if(row.classList.contains('table__row_opened')) {
				row.classList.remove('table__row_opened');
			} else {
				var has_opened = document.getElementsByClassName('table__row_opened')[0];
				if(has_opened) { // Close already opened row
					has_opened.classList.remove('table__row_opened');
				}

				row.classList.add('table__row_opened');
				if( row.hasAttribute( 'data-url' ) ) {
					// Cell of next row shold be content
					if( row.nextSibling.classList.contains( 'row__content' ) ) {
						var content =  row.nextSibling.childNodes[0];
						dload(row.dataset.url, content, function(){
							row.removeAttribute('data-url');
						});
					}
				}
			}
		});
	}
});
